package paketGUI;












import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JOptionPane;

import paketDatenhaltung.DBZugriff;
import paketFachklassen.Artikel;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

public class Hauptfenster extends JFrame
{
	private Artikel meinArtikel;
	private DBZugriff meinDBZugriff;
	private JPanel contentPane;
	private JLabel lblArtikelnummer;
	private JLabel lblBezeichnung;
	private JLabel lblPreis;
	private JLabel lblBestand;
	private JTextField tfArtikelnummer;
	private JButton btLeeren;
	private JLabel lbBestand;
	private JButton btEnde;
	private JTextField tfBezeichnung;
	private JTextField tfPreis;
	private JButton btErfassen;
	private JButton btSuchen;
	private JButton btMindern;
	private JLabel lblBewegung;
	private JTextField tfBewegung;
	private JButton btMehren;
	private JButton btAenderungenSpeichern;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args)
	{
		EventQueue.invokeLater(new Runnable()
		{
			public void run()
			{
				try
				{
					Hauptfenster frame = new Hauptfenster();
					frame.setVisible(true);
				}
				catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Hauptfenster()
	{
		addWindowListener(new WindowAdapter()
		{
			@Override
			public void windowOpened(WindowEvent e)
			{
				leeren();
			}
		});

		meinDBZugriff = new DBZugriff();
		setTitle("Artikelverwaltung mit OODB");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 400, 334);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		contentPane.add(getLblArtikelnummer());
		contentPane.add(getLblBezeichnung());
		contentPane.add(getLblPreis());
		contentPane.add(getLblBestand());
		contentPane.add(getTfArtikelnummer());
		contentPane.add(getBtLeeren());
		contentPane.add(getLbBestand());
		contentPane.add(getBtEnde());
		contentPane.add(getTfBezeichnung());
		contentPane.add(getTfPreis());
		contentPane.add(getBtErfassen());
		contentPane.add(getBtSuchen());
		contentPane.add(getBtMindern());
		contentPane.add(getLblBewegung());
		contentPane.add(getTfBewegung());
		contentPane.add(getBtMehren());
		contentPane.add(getBtAenderungenSpeichern());
	}

	public JLabel getLblArtikelnummer()
	{
		if (lblArtikelnummer == null)
		{
			lblArtikelnummer = new JLabel("Artikelnummer");
			lblArtikelnummer.setBounds(35, 11, 86, 14);
		}
		return lblArtikelnummer;
	}

	public JLabel getLblBezeichnung()
	{
		if (lblBezeichnung == null)
		{
			lblBezeichnung = new JLabel("Bezeichnung");
			lblBezeichnung.setBounds(35, 39, 86, 14);
		}
		return lblBezeichnung;
	}

	public JLabel getLblPreis()
	{
		if (lblPreis == null)
		{
			lblPreis = new JLabel("Preis");
			lblPreis.setBounds(35, 64, 86, 14);
		}
		return lblPreis;
	}

	public JLabel getLblBestand()
	{
		if (lblBestand == null)
		{
			lblBestand = new JLabel("Bestand");
			lblBestand.setBounds(35, 86, 86, 14);
		}
		return lblBestand;
	}

	public JTextField getTfArtikelnummer()
	{
		if (tfArtikelnummer == null)
		{
			tfArtikelnummer = new JTextField();
			tfArtikelnummer.addKeyListener(new KeyAdapter()
			{
				@Override
				public void keyReleased(KeyEvent e)
				{
					if (tfArtikelnummer.getText().length() > 0)
					{
						btSuchen.setEnabled(true);
					}
					pruefeDatenvollstaendigkeit();
				}
			});
			tfArtikelnummer.setBounds(142, 8, 86, 20);
			tfArtikelnummer.setColumns(10);
		}
		return tfArtikelnummer;
	}

	public JButton getBtLeeren()
	{
		if (btLeeren == null)
		{
			btLeeren = new JButton("Felder leeren");
			btLeeren.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					leeren();

				}
			});
			btLeeren.setBounds(224, 228, 150, 23);
		}
		return btLeeren;
	}

	public JLabel getLbBestand()
	{
		if (lbBestand == null)
		{
			lbBestand = new JLabel("");
			lbBestand.setBounds(142, 86, 86, 14);
		}
		return lbBestand;
	}

	public JButton getBtEnde()
	{
		if (btEnde == null)
		{
			btEnde = new JButton("Ende");
			btEnde.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					meinDBZugriff.schliesseDB();
					System.exit(0);
				}
			});
			btEnde.setBounds(224, 262, 150, 23);
		}
		return btEnde;
	}

	public JTextField getTfBezeichnung()
	{
		if (tfBezeichnung == null)
		{
			tfBezeichnung = new JTextField();
			tfBezeichnung.addKeyListener(new KeyAdapter()
			{
				@Override
				public void keyReleased(KeyEvent e)
				{
					pruefeDatenvollstaendigkeit();
				}
			});
			tfBezeichnung.setBounds(142, 36, 86, 20);
			tfBezeichnung.setColumns(10);
		}
		return tfBezeichnung;
	}

	public JTextField getTfPreis()
	{
		if (tfPreis == null)
		{
			tfPreis = new JTextField();
			tfPreis.addKeyListener(new KeyAdapter()
			{
				@Override
				public void keyReleased(KeyEvent e)
				{
					pruefeDatenvollstaendigkeit();
				}
			});
			tfPreis.setBounds(142, 61, 86, 20);
			tfPreis.setColumns(10);
		}
		return tfPreis;
	}

	public JButton getBtErfassen()
	{
		if (btErfassen == null)
		{
			btErfassen = new JButton("Als neuen Artikel speichern");
			btErfassen.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					meinArtikel = new Artikel();
					speichern();
				}
			});
			btErfassen.setBounds(7, 152, 207, 23);
		}
		return btErfassen;
	}

	public JButton getBtSuchen()
	{
		if (btSuchen == null)
		{
			btSuchen = new JButton("Artikel suchen");
			btSuchen.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					meinArtikel = new Artikel();
					meinArtikel = meinDBZugriff.leseObjekt(tfArtikelnummer
							.getText());
					if (meinArtikel == null)
					{
						JOptionPane.showMessageDialog(
								null,
								"Die Artikelnummer "
										+ tfArtikelnummer.getText()
										+ " ist unbekannt");
						leeren();
					}
					else
					{
						anzeigen();
					}
				}
			});
			btSuchen.setBounds(10, 186, 204, 23);
		}
		return btSuchen;
	}

	public JButton getBtMindern()
	{
		if (btMindern == null)
		{
			btMindern = new JButton("Artikel mindern");
			btMindern.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					boolean mOK;
					try
					{
						mOK = meinArtikel.mindern(Integer.parseInt(tfBewegung
								.getText()));
						if (mOK)
						{
							anzeigen();
						}
						else
						{
							JOptionPane.showMessageDialog(null,
									"Der Lagerbestand ist zu klein!");
						}
					}
					catch (Exception eMindern)
					{
						JOptionPane.showMessageDialog(null,
								"Bitte geben Sie nur Zahlen ein");
					}

				}
			});
			btMindern.setBounds(224, 186, 150, 23);
		}
		return btMindern;
	}

	public void anzeigen()
	{
		tfArtikelnummer.setText(meinArtikel.getArtikelNr());
		tfBezeichnung.setText(meinArtikel.getBezeichnung());
		tfPreis.setText(String.valueOf(meinArtikel.getPreis()));
		lbBestand.setText(String.valueOf(meinArtikel.getBestand()));
		tfBewegung.setText("");
		pruefeDatenvollstaendigkeit();
	}

	public JLabel getLblBewegung()
	{
		if (lblBewegung == null)
		{
			lblBewegung = new JLabel("Bewegung");
			lblBewegung.setBounds(35, 111, 86, 14);
		}
		return lblBewegung;
	}

	public JTextField getTfBewegung()
	{
		if (tfBewegung == null)
		{
			tfBewegung = new JTextField();
			tfBewegung.addKeyListener(new KeyAdapter()
			{
				@Override
				public void keyReleased(KeyEvent e)
				{
					pruefeDatenvollstaendigkeit();
					try
					{
					double d = Double.parseDouble(tfBewegung.getText());	
					}
					catch (Exception numerisch)
					{
						JOptionPane.showMessageDialog(null,
								"Bitte geben Sie hier nur Zahlen ein");
					}
				}
			});
			tfBewegung.setBounds(142, 111, 86, 20);
			tfBewegung.setColumns(10);
		}
		return tfBewegung;
	}

	public JButton getBtMehren()
	{
		if (btMehren == null)
		{
			btMehren = new JButton("Artikel mehren");
			btMehren.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					try
					{
						meinArtikel.mehren(Integer.parseInt(tfBewegung
								.getText()));
					}
					catch (Exception eMehren)
					{
						JOptionPane.showMessageDialog(null,
								"Bitte geben Sie nur Zahlen ein");
					}
					anzeigen();
				}
			});
			btMehren.setBounds(224, 152, 150, 23);
		}
		return btMehren;
	}

	public JButton getBtAenderungenSpeichern()
	{
		if (btAenderungenSpeichern == null)
		{
			btAenderungenSpeichern = new JButton("\u00C4nderungen speichern");
			btAenderungenSpeichern.addActionListener(new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					speichern();
				}
			});
			btAenderungenSpeichern.setBounds(10, 228, 204, 23);
		}
		return btAenderungenSpeichern;
	}

	public void speichern()
	{

		meinArtikel.setArtikelNr(tfArtikelnummer.getText());
		meinArtikel.setBezeichnung(tfBezeichnung.getText());
		try
		{
			meinArtikel.setPreis(Double.parseDouble(tfPreis.getText()));
		}
		catch (Exception ePreis)
		{
			JOptionPane.showMessageDialog(null,
					"Bitte geben Sie beim Preis nur Zahlen ein");
		}
		meinDBZugriff.schreibeObjekt(meinArtikel);

	}

	public void leeren()
	{
		tfArtikelnummer.setText("");
		tfBezeichnung.setText("");
		tfBewegung.setText("");
		tfPreis.setText("");
		lbBestand.setText("");
		btMehren.setEnabled(false);
		btMindern.setEnabled(false);
		btSuchen.setEnabled(false);
		btErfassen.setEnabled(false);
		btAenderungenSpeichern.setEnabled(false);
	}

	public void pruefeDatenvollstaendigkeit()
	{
		if (tfArtikelnummer.getText().length() > 0
				&& tfBezeichnung.getText().length() > 0
				&& tfPreis.getText().length() > 0)
		{
			btErfassen.setEnabled(true);
			btAenderungenSpeichern.setEnabled(true);
			if (tfBewegung.getText().length() > 0)
			{
				btMehren.setEnabled(true);
				btMindern.setEnabled(true);
			}
		}
		else
		{
			btErfassen.setEnabled(false);
			btAenderungenSpeichern.setEnabled(false);

		}

	}
}
