-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.33-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema haro
--

CREATE DATABASE IF NOT EXISTS haro2;
USE haro2konto;

--
-- Definition of table `anfragen`
--

DROP TABLE IF EXISTS `anfragen`;
CREATE TABLE `anfragen` (
  `anfragenr` int(10) NOT NULL AUTO_INCREMENT,
  `kdnr` varchar(5) DEFAULT NULL,
  `artikelnr` varchar(50) DEFAULT NULL,
  `menge` smallint(5) DEFAULT NULL,
  `erledigt` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`anfragenr`),
  KEY `FK_Kunden_3` (`kdnr`),
  CONSTRAINT `FK_Kunden_3` FOREIGN KEY (`kdnr`) REFERENCES `kunden` (`kdnr`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `anfragen`
--

/*!40000 ALTER TABLE `anfragen` DISABLE KEYS */;
INSERT INTO `anfragen` (`anfragenr`,`kdnr`,`artikelnr`,`menge`,`erledigt`) VALUES 
 (1,'24001','10005',50,0),
 (2,'24001','10005',50,0);
/*!40000 ALTER TABLE `anfragen` ENABLE KEYS */;


--
-- Definition of table `angestellte`
--

DROP TABLE IF EXISTS `angestellte`;
CREATE TABLE `angestellte` (
  `mitnr` varchar(5) COLLATE latin1_general_ci NOT NULL,
  `gehalt` double DEFAULT NULL,
  PRIMARY KEY (`mitnr`),
  KEY `FK_Mitarbeiter` (`mitnr`),
  CONSTRAINT `FK_Mitarbeiter_Angest` FOREIGN KEY (`mitnr`) REFERENCES `mitarbeiter` (`mitnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `angestellte`
--

/*!40000 ALTER TABLE `angestellte` DISABLE KEYS */;
INSERT INTO `angestellte` (`mitnr`,`gehalt`) VALUES 
 ('89001',2800),
 ('89002',2100);
/*!40000 ALTER TABLE `angestellte` ENABLE KEYS */;


--
-- Definition of table `artikel`
--

DROP TABLE IF EXISTS `artikel`;
CREATE TABLE `artikel` (
  `artikelnr` varchar(5) NOT NULL,
  `bezeichnung` varchar(35) DEFAULT NULL,
  `wgnr` varchar(1) DEFAULT NULL,
  `teileart` varchar(1) DEFAULT NULL,
  `ekpreis` decimal(19,4) DEFAULT NULL,
  `vkpreis` decimal(19,4) DEFAULT NULL,
  `bestand` smallint(5) DEFAULT NULL,
  `meldebest` smallint(5) DEFAULT NULL,
  `aktiv` tinyint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`artikelnr`),
  KEY `FK_artikel_1` (`wgnr`),
  CONSTRAINT `FK_artikel_1` FOREIGN KEY (`wgnr`) REFERENCES `warengruppen` (`wgnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `artikel`
--

/*!40000 ALTER TABLE `artikel` DISABLE KEYS */;
INSERT INTO `artikel` (`artikelnr`,`bezeichnung`,`wgnr`,`teileart`,`ekpreis`,`vkpreis`,`bestand`,`meldebest`,`aktiv`) VALUES 
 ('10004','Handlupe 90 mm','4','E','9.5900','18.2210',300,200,0),
 ('10005','Lupe 90 mm','4','E','4.5000','8.5500',1010,500,0),
 ('10028','Abgleichschraubendreher-Satz','2','E','12.9500','24.6050',680,300,0),
 ('10030','Schraubendreher: 1,5 mm ','2','E','1.0000','1.9000',290,200,0),
 ('10031','Schraubendreher: 1,8 mm','2','E','1.0000','1.9000',220,200,0),
 ('10034','Schraubendreher: 3,0 mm ','2','E','1.0000','1.9000',300,200,0),
 ('10044','Stahllaubsäge ','3','E','5.4500','10.3550',1250,400,0),
 ('10049','Laubsägeblätter (12er Set)','3','E','2.3500','4.4650',2400,600,0),
 ('10050','Universal-Hobby-Säge','3','E','5.9500','11.3050',1350,200,0),
 ('10056','Isolier-Abstreifzängleinchen','1','E','13.5700','19.9500',2400,250,0),
 ('10057','Adernendhülsen-Zängle','1','E','16.5000','31.3500',1750,220,0),
 ('10058','Universal-Kabelzange','1','E','6.4500','12.2550',1900,300,0),
 ('10059','Schraubendreher-Set','2','E','11.2000','21.2800',1800,180,0),
 ('10062','Pozidriv-Schraubendreher','2','E','2.8000','5.3200',2850,200,0),
 ('10068','Elektronik-Seitenschneider','1','H','3.6500','6.9350',750,150,0),
 ('10069','Elektronik-Flachzange','1','H','3.6500','6.9350',2800,250,0),
 ('10070','Elektronik-Halbrundzange','1','H','3.6500','6.9350',1950,500,0),
 ('10071','Loch- und Ösenzange','1','E','12.9500','24.6050',2540,350,0),
 ('10075','Edelstahlzange flach','1','H','6.5000','12.3500',150,300,0),
 ('10076','Automatik-Abisolierzange','1','H','4.9500','9.4050',100,250,0),
 ('10080','Telefonzange 200 mm','1','H','5.9000','11.2100',1950,200,0),
 ('10081','Mehrzweckzange','1','H','18.5000','35.1500',4500,200,0),
 ('10086','Multifunktions-Crimpzange','1','E','39.5000','75.0500',1150,150,0),
 ('11058','Spezial-Bauschubkarren','4','E','59.9000','113.8100',450,250,0),
 ('11062','Durchwurfsieb verzinkt 100x60 cm','4','E','39.9000','75.8100',550,250,0),
 ('12345','Zange',NULL,NULL,'11.5900','0.0000',0,NULL,0),
 ('70001','Werkzeugkasten Universal','4','E','149.0000','283.1000',120,50,0),
 ('71001','Schlagbohrmaschine','4','H','63.0000','119.7000',155,50,0),
 ('71002','Bohrersatz für Holz/Metall/Stein','4','H','3.5000','6.6500',135,50,0),
 ('71003','Bit-Steckschlüsselsatz','4','H','3.2000','6.0800',124,50,0),
 ('71004','Schlosserhammer','4','H','3.5000','6.6500',90,80,0),
 ('72102','Wasserpumpenzange 240','1','E','3.6500','6.9350',122,20,0),
 ('72250','Wasserwaage 400 mm','4','H','4.4000','8.3600',90,40,0),
 ('72255','Universalsäge','3','E','5.2000','9.8800',95,40,0),
 ('72256','Sägeblatt Holz','3','H','0.5500','1.0450',124,40,0),
 ('72257','Sägeblatt Metall','3','H','1.5000','2.8500',132,40,0),
 ('74001','Kasten 75/45','4','E','6.9000','13.1100',105,50,0);
/*!40000 ALTER TABLE `artikel` ENABLE KEYS */;


--
-- Definition of table `auftragskoepfe`
--

DROP TABLE IF EXISTS `auftragskoepfe`;
CREATE TABLE `auftragskoepfe` (
  `aufnr` varchar(5) NOT NULL DEFAULT '0',
  `aufdat` datetime DEFAULT NULL,
  `kdnr` varchar(5) DEFAULT NULL,
  `auftermin` datetime DEFAULT NULL,
  `gebucht` tinyint(1) NOT NULL,
  PRIMARY KEY (`aufnr`),
  KEY `FK_auftragskoepfe_1` (`kdnr`),
  CONSTRAINT `FK_auftragskoepfe_1` FOREIGN KEY (`kdnr`) REFERENCES `kunden` (`kdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `auftragskoepfe`
--

/*!40000 ALTER TABLE `auftragskoepfe` DISABLE KEYS */;
INSERT INTO `auftragskoepfe` (`aufnr`,`aufdat`,`kdnr`,`auftermin`,`gebucht`) VALUES 
 ('22334','2009-01-26 00:00:00','24001','2009-02-18 00:00:00',0),
 ('22335','2009-01-27 00:00:00','24004','2009-02-27 00:00:00',0),
 ('22336','2009-01-31 00:00:00','24003','2009-03-02 00:00:00',0),
 ('22337','2009-02-12 00:00:00','24005','2009-03-11 00:00:00',0);
/*!40000 ALTER TABLE `auftragskoepfe` ENABLE KEYS */;


--
-- Definition of table `auftragspositionen`
--

DROP TABLE IF EXISTS `auftragspositionen`;
CREATE TABLE `auftragspositionen` (
  `aufposnr` varchar(5) NOT NULL,
  `aufnr` varchar(5) NOT NULL,
  `artikelnr` varchar(5) DEFAULT NULL,
  `aufmenge` double(15,5) DEFAULT NULL,
  PRIMARY KEY (`aufposnr`),
  KEY `FK_auftragspositionen_1` (`aufnr`),
  KEY `FK_auftragspositionen_2` (`artikelnr`),
  CONSTRAINT `FK_auftragspositionen_1` FOREIGN KEY (`aufnr`) REFERENCES `auftragskoepfe` (`aufnr`),
  CONSTRAINT `FK_auftragspositionen_2` FOREIGN KEY (`artikelnr`) REFERENCES `artikel` (`artikelnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `auftragspositionen`
--

/*!40000 ALTER TABLE `auftragspositionen` DISABLE KEYS */;
INSERT INTO `auftragspositionen` (`aufposnr`,`aufnr`,`artikelnr`,`aufmenge`) VALUES 
 ('1','22334','10004',20.00000),
 ('2','22334','10030',3.00000),
 ('3','22335','10005',15.00000),
 ('4','22335','10056',10.00000),
 ('5','22335','10059',35.00000),
 ('6','22336','10004',40.00000),
 ('7','22337','10069',5.00000),
 ('8','22337','10070',5.00000);
/*!40000 ALTER TABLE `auftragspositionen` ENABLE KEYS */;


--
-- Definition of table `konto`
--

DROP TABLE IF EXISTS `konto`;
CREATE TABLE `konto` (
  `kontonummer` varchar(5) COLLATE latin1_general_ci NOT NULL,
  `mitnr` varchar(5) COLLATE latin1_general_ci DEFAULT NULL,
  `kontostand` double DEFAULT NULL,
  `kreditlimit` double DEFAULT NULL,
  PRIMARY KEY (`kontonummer`),
  KEY `FK_Mitarbeiter` (`mitnr`),
  CONSTRAINT `FK_Mitarbeiter` FOREIGN KEY (`mitnr`) REFERENCES `mitarbeiter` (`mitnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `konto`
--

/*!40000 ALTER TABLE `konto` DISABLE KEYS */;
INSERT INTO `konto` (`kontonummer`,`mitnr`,`kontostand`,`kreditlimit`) VALUES 
 ('91001','89001',1000,1000),
 ('91002','89002',140,0),
 ('91003','89002',0,1000),
 ('91004','89002',400,1000),
 ('91005','89003',0,1000),
 ('91006','89004',0,1000),
 ('91007','89007',10000,1000),
 ('91010','89005',0,1000),
 ('91011','89005',0,500),
 ('91012','89006',600,1000),
 ('91013','89006',600,3000);
/*!40000 ALTER TABLE `konto` ENABLE KEYS */;


--
-- Definition of table `kunden`
--

DROP TABLE IF EXISTS `kunden`;
CREATE TABLE `kunden` (
  `kdnr` varchar(5) NOT NULL,
  `name` varchar(50) DEFAULT NULL,
  `strasse` varchar(50) DEFAULT NULL,
  `plz` varchar(5) DEFAULT NULL,
  `ort` varchar(50) DEFAULT NULL,
  `passwort` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`kdnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kunden`
--

/*!40000 ALTER TABLE `kunden` DISABLE KEYS */;
INSERT INTO `kunden` (`kdnr`,`name`,`strasse`,`plz`,`ort`,`passwort`) VALUES 
 ('24001','Baumarkt Meier','Postfach 134','85579','Neubiberg','12345'),
 ('24002','Friedrich Kunst','Mausweg 24','72510','Stetten a.k.M.','23456'),
 ('24003','BAU MIT  GmbH','Im Grund 11','86657','Bissingen','34567'),
 ('24004','Otto Weber','Postfach 888','78727','Oberndorf a.N.','45678'),
 ('24005','Peter Helferich','Stuttgarter Str. 44','75394','Oberreichenbach','56789'),
 ('24006','Bau und Ausbau GmbH','Postfach 8573','71106','Magstadt','98765'),
 ('24007','Hahn & Widmann','Postfach 2112','72336','Balingen','87654'),
 ('24008','Otto Huber','Kaiserstr. 33','78224','Singen','11111'),
 ('24013','TOOM-Baumarkt','Im Lehen 20','78315','Radolfzell',NULL);
/*!40000 ALTER TABLE `kunden` ENABLE KEYS */;


--
-- Definition of table `lieferer`
--

DROP TABLE IF EXISTS `lieferer`;
CREATE TABLE `lieferer` (
  `liefnr` varchar(5) NOT NULL,
  `name` varchar(25) DEFAULT NULL,
  `plz` varchar(5) DEFAULT NULL,
  `strasse` varchar(20) DEFAULT NULL,
  `ort` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`liefnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lieferer`
--

/*!40000 ALTER TABLE `lieferer` DISABLE KEYS */;
INSERT INTO `lieferer` (`liefnr`,`name`,`plz`,`strasse`,`ort`) VALUES 
 ('44001','Friedrich Walter AG','72072','Mühlstr. 8','Tübingen'),
 ('44002','Kugler und Grauer ','70173','Knigstr. 13','Stuttgart'),
 ('44003','Jonas Brauer Gmbh','72766','Hagenweg 12','Reutlingen'),
 ('44004','Ulmer Metallbau GmbH','72108','Am Marktplatz 1','Rottenburg'),
 ('44005','Georg Liebherr und Söhne','72070','Goethestr. 5','Tübingen'),
 ('44006','Kaiser & Franz OHG','72108','Dorfstr. 1','Rottenburg'),
 ('44007','Weinmann GmbH','72379','Fliederstr. 35','Hechingen'),
 ('44008','Grauer Metallfräserei KG','72622','Brunnenstr. 56','Nürtingen'),
 ('44009','Richard Vollmer & Co KG','72766','Leharweg 13','Reutlingen'),
 ('44010','Wiedmeier & Söhne','76532','Industriestraße 34','Rastatt'),
 ('44011','Lidl GmbH','72760','Goethestr. 13','Reutlingen');
/*!40000 ALTER TABLE `lieferer` ENABLE KEYS */;


--
-- Definition of table `liefermoeglichkeiten`
--

DROP TABLE IF EXISTS `liefermoeglichkeiten`;
CREATE TABLE `liefermoeglichkeiten` (
  `liefnr` varchar(5) NOT NULL,
  `artikelnr` varchar(5) NOT NULL,
  `preis` double(7,2) DEFAULT NULL,
  PRIMARY KEY (`liefnr`,`artikelnr`),
  KEY `FK_liefermoeglichkeiten_2` (`artikelnr`),
  CONSTRAINT `FK_liefermoeglichkeiten_1` FOREIGN KEY (`liefnr`) REFERENCES `lieferer` (`liefnr`),
  CONSTRAINT `FK_liefermoeglichkeiten_2` FOREIGN KEY (`artikelnr`) REFERENCES `artikel` (`artikelnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `liefermoeglichkeiten`
--

/*!40000 ALTER TABLE `liefermoeglichkeiten` DISABLE KEYS */;
INSERT INTO `liefermoeglichkeiten` (`liefnr`,`artikelnr`,`preis`) VALUES 
 ('44001','10004',20.00),
 ('44001','10005',8.55),
 ('44001','10028',12.95),
 ('44001','10050',11.31),
 ('44001','10056',19.95),
 ('44002','10044',5.15),
 ('44003','10049',4.90),
 ('44004','10056',19.95),
 ('44005','10005',3.20),
 ('44006','10004',20.00),
 ('44006','10049',4.99),
 ('44006','10056',19.95);
/*!40000 ALTER TABLE `liefermoeglichkeiten` ENABLE KEYS */;


--
-- Definition of table `mitarbeiter`
--

DROP TABLE IF EXISTS `mitarbeiter`;
CREATE TABLE `mitarbeiter` (
  `mitnr` varchar(5) COLLATE latin1_general_ci NOT NULL,
  `name` varchar(45) COLLATE latin1_general_ci DEFAULT NULL,
  `vorname` varchar(45) COLLATE latin1_general_ci DEFAULT NULL,
  `beruf` varchar(45) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`mitnr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `mitarbeiter`
--

/*!40000 ALTER TABLE `mitarbeiter` DISABLE KEYS */;
INSERT INTO `mitarbeiter` (`mitnr`,`name`,`vorname`,`beruf`) VALUES 
 ('89001','Müller','Heidi','IT-Systemkauffrau'),
 ('89002','Kunst','Max','Schreiner'),
 ('89003','Huber','Fritz','Mechatroniker'),
 ('89004','Weber','Hans','Elektriker'),
 ('89005','Helferich','Maria','Bürokauffrau'),
 ('89006','Schmidt','Klaus','Buchhändler'),
 ('89007','Widmann','Karl','Starkstromelektriker'),
 ('89008','Bauer','Dieter','Maurer'),
 ('89013','Kurz','Renate','Betriebswirtin');
/*!40000 ALTER TABLE `mitarbeiter` ENABLE KEYS */;


--
-- Definition of table `vorgesetzte`
--

DROP TABLE IF EXISTS `vorgesetzte`;
CREATE TABLE `vorgesetzte` (
  `mitnr` varchar(5) COLLATE latin1_general_ci NOT NULL,
  `zuschlag` double DEFAULT NULL,
  PRIMARY KEY (`mitnr`),
  KEY `FK_Angestellte` (`mitnr`),
  CONSTRAINT `FK_Angestellte` FOREIGN KEY (`mitnr`) REFERENCES `angestellte` (`mitnr`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `vorgesetzte`
--

/*!40000 ALTER TABLE `vorgesetzte` DISABLE KEYS */;
/*!40000 ALTER TABLE `vorgesetzte` ENABLE KEYS */;


--
-- Definition of table `warengruppen`
--

DROP TABLE IF EXISTS `warengruppen`;
CREATE TABLE `warengruppen` (
  `wgnr` varchar(1) NOT NULL,
  `warengruppe` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`wgnr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `warengruppen`
--

/*!40000 ALTER TABLE `warengruppen` DISABLE KEYS */;
INSERT INTO `warengruppen` (`wgnr`,`warengruppe`) VALUES 
 ('1','Zangen'),
 ('2','Schraubendreher'),
 ('3','Saegen'),
 ('4','Sonstige Artikel');
/*!40000 ALTER TABLE `warengruppen` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
